System.Runtime.Remoting [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.Remoting.Channels.BaseChannelWithProperties System.Runtime.Remoting.Channels.IChannelReceiver System.Runtime.Remoting.Channels.IChannelReceiverHook System.Reflection.DefaultMember("Item")

Channels transport messages across remoting boundaries (for example, between computers on application domains). The class transports messages using the HTTP protocol.

Channels are used by the .NET Framework remoting infrastructure to transport remote calls. When a client makes a call to a remote object, the call is serialized into a message that is sent by a client channel and received by a server channel. It is then deserialized and processed. Any returned values are transmitted by the server channel and received by the client channel.

To perform additional processing of messages on the server-side, you can specify an implementation of the through which all messages processed by the are passed.

The accepts messages serialized in either binary or SOAP format.

A object has associated configuration properties that can be set at run time either in a configuration file (by invoking the static method) or programmatically (by passing a collection to the constructor). For a list of these configuration properties, see the documentation for .

Implements a server channel for remote calls that uses the HTTP protocol to transmit messages.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Constructor

  To request that an available port be dynamically assigned, set the parameter to 0 (zero).

  Initializes a new instance of the class that listens on the specified port.

  The port on which the channel listens.
  1.0.5000.0
  2.0.0.0
- Constructor

  For more information about channel configuration properties, see Channel and Formatter Configuration Properties.

  If you do not require sink functionality, set the parameter to null.

  Initializes a new instance of the class with the specified channel properties and sink.

  A of the channel properties that hold the configuration information for the current channel.
  The to use with the new instance of the .
  1.0.5000.0
  2.0.0.0
- Constructor

  This constructor sets the property by using the parameter. If you want to register more than one channel, each channel must have a unique name.

  To request that an available port be dynamically assigned, set the parameter to 0 (zero).

  Initializes a new instance of the class with the given name and that listens on the specified port.

  The name of the channel.
  The port on which the channel listens.
  1.0.5000.0
  2.0.0.0
- Constructor

  This constructor sets the property using the parameter.

  To request that an available port be dynamically assigned, set the parameter to 0 (zero).

  If you do not require sink functionality, set the parameter to null.

  Initializes a new instance of the class at the specified port with the given name, which listens on the specified port, and uses the specified sink.

  The name of the channel.
  The port on which the channel listens.
  The to be used by the channel.
  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added

  Adds a URI on which the channel hook must listen.

  A URI on which the channel hook must listen. 1.0.5000.0 2.0.0.0
- Property
  System.Object To be added: an object of type 'object'

  Although returned as an instance of , the value of this property can be cast to an instance of describing the channel to which the object listens.

  Gets channel-specific data.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string'

  Every registered channel has a unique name. This name is used to retrieve a specific channel when calling .

  Gets the name of the current channel.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int'

  The priority controls the order in which channel data appears in a instance; higher priority channels appear before lower priority channels. Clients try to connect to the server channels in the order that they are listed in the instance. The default priority is 1; negative priorities are allowed.

  Gets the priority of the current channel.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string'

  This value is not case-sensitive.

  Gets the type of listener to hook into (for example, "http").

  1.0.5000.0
  2.0.0.0
- Property
  System.Runtime.Remoting.Channels.IServerChannelSink To be added: an object of type 'Runtime.Remoting.Channels.IServerChannelSink' To be added

  Gets the channel sink chain that the current channel is using.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  Returns the URI of the current channel.

  The URI of the current channel.

  1.0.5000.0
  2.0.0.0
- Method
  System.String[] ``

  The current method is used by .

  Returns an array of all the URLs for an object with the specified URI, hosted on the current .

  An array of the URLs for an object with the specified URI, hosted on the current .

  The URI of the object for which URLs are required. 1.0.5000.0 2.0.0.0
- Property
  System.Object `` To be added: an object of type 'object' To be added To be added: an object of type 'object' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Collections.ICollection To be added: an object of type 'Collections.ICollection'

  Channel properties are used to configure the channel at run time. For a list of possible channel properties and an example, see [<topic://cpconchannelformatterconfigurationproperties>].

  Gets a of keys the channel properties are associated with.

  1.0.5000.0
  2.0.0.0
- Method
  System.String `` `` To be added: an object of type 'string' To be added: an object of type 'string&' To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  It is not necessary to call this method to begin listening on a newly initialized channel.

  Use this method to restart listening on a channel after the method has been called to stop listening on the channel.

  If your channel uses a dynamically assigned port number, your port number might change when you restart listening.

  Instructs the current channel to start listening for requests.

  Should always be null for . 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  Use this method to stop listening on a channel. To restart listening, use the method.

  If your channel uses a dynamically assigned port number, your port number might change when you restart listening.

  Instructs the current channel to stop listening for requests.

  Should always be null for . 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a Boolean value that indicates whether wants to be hooked into the outside listener service.

  1.0.5000.0
  2.0.0.0